Dallas Semiconductor 1-Wire API 1.00 Alpha: Class TaggedDevice

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.application.tag
Class TaggedDevice

    java.lang.Object
      |
      +--com.dalsemi.onewire.application.tag.TaggedDevice

Direct Known Subclasses:
  Contact, D2A, Event, Humidity, Switch, Thermal

public class TaggedDevice
extends Object

This class provides a default object for a tagged 1-Wire device.

Field Summary
`Vector` | `branchVector` A Vector of branches describing how to physically get to the tagged device through a set of 1-Wire switches.
`Integer` | `channel` The channel on which to probe for info.
`String` | `clusterName` The name of the cluster to which the tagged device is associated.
`OneWireContainer` | `DeviceContainer` 1-Wire Container for the tagged device.
`String` | `DeviceType` Device type for the device (i.e., contact, switch, d2a, etc.).
`String` | `init` An initialization parameter for the tagged device.
`String` | `label` Label for the "name" of the device.
`String` | `max` A string message representing a high or maximum value.
`String` | `min` A string message representing a low or minimum value.
`Boolean` | `state` A true or false describing the state of the tagged device.

Constructor Summary
`TaggedDevice()` Creates an object for the device.
`TaggedDevice(DSPortAdapter adapter, String netAddress)` Creates an object for the device with the supplied address and device type connected to the supplied port adapter.

Method Summary
`Vector` | `getBranches()` Gets a vector of branches (to get to) the tagged device.
`int` | `getChannel()` Gets the channel for the tagged device as an int.
`String` | `getChannelAsString()` Gets the channel for the tagged device as a String.
`String` | `getClusterName()` Gets the cluster name for the tagged device.
`OneWireContainer` | `getDeviceContainer()` Gets the 1-Wire Container for the tagged device.
`String` | `getDeviceType()` Gets the device type for the tagged device.
`String` | `getInit()` Gets the init (Initialization String) for the tagged device.
`String` | `getLabel()` Gets the label for the tagged device.
`String` | `getMax()` Gets the max string for the tagged device.
`String` | `getMin()` Gets the min string for the tagged device.
`OWPath` | `getOWPath()` Gets the OWPath for the tagged device.
`void` | `setBranches(Vector branches)` Sets the vector of branches to get to the tagged device.
`void` | `setChannel(int Channel)` Sets the channel for the tagged device from an int.
`void` | `setChannelFromString(String Channel)` Sets the channel for the tagged device from a String.
`void` | `setClusterName(String cluster)` Sets the cluster name for the tagged device.
`void` | `setDeviceContainer(DSPortAdapter adapter, String netAddress)` Sets the 1-Wire Container for the tagged device.
`void` | `setDeviceType(String tType)` Sets the device type for the tagged device.
`void` | `setInit(String Init)` Sets the init (initialization String) for the tagged device.
`void` | `setLabel(String Label)` Sets the label for the tagged device.
`void` | `setOWPath(DSPortAdapter adapter, Vector Branches)` Sets the OWPath for the tagged device.
`void` | `setOWPath(OWPath branchOWPath)` Sets the OWPath for the tagged device.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DeviceContainer

    public OneWireContainer DeviceContainer

  1-Wire Container for the tagged device.

### DeviceType

    public String DeviceType

  Device type for the device (i.e., contact, switch, d2a, etc.).

### label

    public String label

  Label for the "name" of the device.

### channel

    public Integer channel

  The channel on which to probe for info.

### max

    public String max

  A string message representing a high or maximum value.

### min

    public String min

  A string message representing a low or minimum value.

### state

    public Boolean state

  A true or false describing the state of the tagged device.

### init

    public String init

  An initialization parameter for the tagged device.

### clusterName

    public String clusterName

  The name of the cluster to which the tagged device is associated. Nested clusters will have a forward slash ("/") between each cluster, much like a path.

### branchVector

    public Vector branchVector

  A Vector of branches describing how to physically get to the tagged device through a set of 1-Wire switches.

Constructor Detail

### TaggedDevice

    public TaggedDevice(DSPortAdapter adapter,
                        String netAddress)

  Creates an object for the device with the supplied address and device type connected to the supplied port adapter.
  Parameters:
    `adapter` - The adapter serving the sensor.
    `NetAddress` - The 1-Wire network address of the sensor.
    `netAddress` -

### TaggedDevice

    public TaggedDevice()

  Creates an object for the device.

Method Detail

### setDeviceContainer

    public void setDeviceContainer(DSPortAdapter adapter,
                                   String netAddress)

  Sets the 1-Wire Container for the tagged device.

### setDeviceType

    public void setDeviceType(String tType)

  Sets the device type for the tagged device.
  Parameters:
    `tType` -

### setLabel

    public void setLabel(String Label)

  Sets the label for the tagged device.
  Parameters:
    `Label` -

### setChannelFromString

    public void setChannelFromString(String Channel)

  Sets the channel for the tagged device from a String.
  Parameters:
    `Channel` -

### setChannel

    public void setChannel(int Channel)

  Sets the channel for the tagged device from an int.
  Parameters:
    `Channel` -

### setInit

    public void setInit(String Init)

  Sets the init (initialization String) for the tagged device.
  Parameters:
    `init` -

### setClusterName

    public void setClusterName(String cluster)

  Sets the cluster name for the tagged device.
  Parameters:
    `cluster` -

### setBranches

    public void setBranches(Vector branches)

  Sets the vector of branches to get to the tagged device.
  Parameters:
    `branches` -

### setOWPath

    public void setOWPath(OWPath branchOWPath)

  Sets the OWPath for the tagged device. An OWPath is a description of how to physically get to a 1-Wire device through a set of nested 1-Wire switches.
  Parameters:
    `branchOWPath` -

### setOWPath

    public void setOWPath(DSPortAdapter adapter,
                          Vector Branches)

  Sets the OWPath for the tagged device. An OWPath is a description of how to physically get to a 1-Wire device through a set of nested 1-Wire switches.
  Parameters:
    `adapter` -
    `Branches` -

### getDeviceContainer

    public OneWireContainer getDeviceContainer()

  Gets the 1-Wire Container for the tagged device.
  Returns:
    The 1-Wire container for the tagged device.

### getDeviceType

    public String getDeviceType()

  Gets the device type for the tagged device.
  Returns:
    The device type for the tagged device.

### getLabel

    public String getLabel()

  Gets the label for the tagged device.
  Returns:
    The label for the tagged device.

### getChannelAsString

    public String getChannelAsString()

  Gets the channel for the tagged device as a String.
  Returns:
    The channel for the tagged device as a String.

### getChannel

    public int getChannel()

  Gets the channel for the tagged device as an int.
  Returns:
    The channel for the tagged device as an int.

### getInit

    public String getInit()

  Gets the init (Initialization String) for the tagged device.
  Returns:
    String init (Initialization String)

### getMax

    public String getMax()

  Gets the max string for the tagged device.
  Returns:
    String Gets the max string

### getMin

    public String getMin()

  Gets the min string for the tagged device.
  Returns:
    String Gets the min string

### getClusterName

    public String getClusterName()

  Gets the cluster name for the tagged device.
  Returns:
    The cluster name for the tagged device.

### getBranches

    public Vector getBranches()

  Gets a vector of branches (to get to) the tagged device.
  Returns:
    The vector of branches to get to the tagged device.

### getOWPath

    public OWPath getOWPath()

  Gets the OWPath for the tagged device. An OWPath is a description of how to physically get to a 1-Wire device through a set of nested 1-Wire switches.
  Returns:
    The OWPath for the tagged device.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD